package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 政治面貌 (1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)枚举类
*
* @author zxfei
*/
public enum PoliticalstatusEnum {
    中共党员(1, "中共党员"),
    中共预备党员(2, "中共预备党员"),
    共青团员(3, "共青团员"),
    群众(4, "群众"),
    其它(5, "其它");
    private Integer value;
    private String desc;

    PoliticalstatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PoliticalstatusEnum getByValue(Integer value) {
        for (PoliticalstatusEnum politicalstatusEnum : PoliticalstatusEnum.values()) {
            if (politicalstatusEnum.getValue() == value) {
                return politicalstatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PoliticalstatusEnum item : PoliticalstatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}